/* *************************** */
/* ********* GENERAL ********* */
/* *************************** */

.ui-widget, 
.ui-widget .ui-widget {
    font-size: 12px;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 0px;
    padding-right: 0px;
 }
.ui-panelgrid tr, .ui-panelgrid td {
    border: none;
    border-color: white; 	
}
.ui-input-invalid {
    background-color: red;
}
.ui-inputfield.ui-state-error, .ui-widget-header .ui-inputfield.ui-state-error, .ui-widget-content .ui-inputfield.ui-state-error {
	border: 1px solid #FF9999;
	border-top-color: #FF9999;
	border-right-color: #FF9999;
	border-bottom-color: #FF9999;
	border-left-color: #FF9999;
}

.ui-state-error, .ui-widget-content .ui-state-error, .ui-widget-header .ui-state-error {
	color: black;
}

/* *************************** */
/* ******* COMPONENTS ******** */
/* *************************** */

.tableView table {
    display: none;
}

.errorClass {
	text-align: right;
	color: red;
	font-weight: bold;
}

.ui-password {
	padding-left: 3px!important;
}
.ui-inputtext {
	padding-left: 3px!important;
}
.ui-inputmask {
	padding-left: 3px!important;
}
.ui-button{
	background-image: -moz-linear-gradient(center top , #FFFFFF, #4CA3FA);
}
.hasDatepicker {
	height: 22px;
	width: 120px;
	padding-left: 3px!important;
}
.ui-fieldset {
	border: none;
	margin-left: 1px;
}
.ui-chkbox-box {
	margin-right: 4px;
	border-color : #a5a5a5 !important;
}

.ui-radiobutton-box {
	border-color : #a5a5a5 !important;
}

#CREATE_MERCHANT_availableProfileList th, #CREATE_ADMIN_availableProfileList th {
	background : #939598 !important;
	border-color : #939598 !important;
	color : white !important;
}
.ui-tooltip {
	max-width: 400px;
    white-space:pre-wrap;
}
.ui-selectonemenu-filter {
	height: 22px;
}
.ui-icon-arrowreturnthick-1-n {
	visibility: hidden;
}
.ui-icon-cancel{
	visibility: hidden;
}
.ui-spinner-input {
	width:50px;
}
.downloadBtnClass{ 
	background-image: url('../images/iconDownloadText.png'); 
	padding: 9px 16px!important;
}

/* *************************** */
/* *********** TEXTS ********* */
/* *************************** */

.ui-button-text ui-c {
	padding-top: 0px;
}
.ui-button-text-only .ui-button-text {
    padding: 0em 0em;
    color: #3089B0;
	font-weight: bold;
}
.ui-button-text-icon-left .ui-button-text {
	padding: 0em 0em;
    color: #3089B0;
	font-weight: bold;
}
.ui-menuitem-text {
	font-size: 13px!important; 
	top: -1px;
	font-weight: bold;
}
.ui-menu .ui-menu-parent .ui-menu-child {
	margin-top: -2px;
}

/* *************************** */
/* ********* POPUPS ********** */
/* *************************** */
.ui-dialog.ui-widget-content .ui-dialog-titlebar {
	background-color: #EEE;
}
.ui-dialog-title {
	font-size: 12px;
}
.ui-dialog.ui-widget-content .ui-dialog-title {
	font-size: 12px;
}
.ui-dialog .ui-dialog-buttonpane {
	text-align: right;
}
.ui-dialog-content {
	text-align: center;
}
.ui-icon-none {
	display: none;
}
.ui-widget-overlay {
	opacity: .30;
}

/* *************************** */
/* ******** DATATABLE ******** */
/* *************************** */

.ui-datatable thead th, .ui-datatable tfoot td {
	white-space: pre-line;
	text-align: center;
}
.ui-datatable-resizable {
	border: 1px solid #999999;
}
.ui-datatable tbody td {
	overflow: hidden;
	white-space: normal;
	padding:4px 4px;!important;
} 
.ui-datatable table {
   /* width: auto; */
   font-size: 11px;
   border-bottom-style: solid;
   border-bottom-width: 1px;
}
.ui-treetable thead th, .ui-treetable tbody td, .ui-treetable tfoot td {
	border-style: none;
}
.ui-treetable tbody td {
	white-space: pre-line;
}
.ui-wptreetable {
}
.ui-wptreetable table {
	border-collapse: separate;
}
.greenCell {
    color: green;
}
.redCell {
    color: red;
}
.blueCell {
	color: blue;
}
.blackCell {
	color: black;
}
.orangeCell {
	color: orange;
}
.yellowCell {
	color: yellow;
}
.purpleCell {
	color: purple;
}
.grayRow {
	color: gray;
}

.totalRow {
    background-color: #eeeeee;
    border-top: medium gray;
    font-weight: bold;
}


.show {
	display: block;
}

.hide {
	display: none;
}

/* ****************************** */
/* ******* TAB/ACCORDION ******** */
/* ****************************** */

.ui-accordion .ui-accordion-content {
	height: 480px; 
	overflow: hidden;
}
.ui-tabs .ui-tabs-panel {
	border-top-width: 0px;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px; 
}
.ui-tabs-panel {
	height: 250px;
}
.ui-tabview-rentCharges .ui-tabs-panel  {
	height: 190px!important;
    width: 680px!important;
}
.ui-tabview-bottom .ui-tabs-panel  {
	height: 150px;
}		
.ui-tabs.ui-tabs-top {
	border-bottom: 0px;
}

/* ********************************** */
/* ******* COLLAPSIBLE PANEL ******** */
/* ********************************** */

.ui-fieldset-legend {
	width: 230px;
}

/* Navigation Tree */

.collapsibleDataTableClass {
}
.collapsibleDataTableClass tbody tr td a {
	vertical-align: super;
}
.collapsibleDataTableClass tbody tr td img {
	padding-right: 10px;
}
.collapsibleDataTableClass thead {
	visibility: hidden;
}

/* General */


[id*=':transactionListTab'] {
	height: 550px!important;
}


#tabCollapsiblePanel\:collapsibletree\:0\:labelValueText {
	text-decoration : none;
	cursor : default;
}

#tabCollapsiblePanel\:tabI_ADDITIONAL_DOCUMENTS {
	height: 605px!important;
}
#tabCollapsiblePanel\:tabI_ERROR {
	height: 605px!important;
}
#tabCollapsiblePanel\:tabI_HELP {
	height: 605px!important;
}
#tabCollapsiblePanel\:tabI_MOTD {
	height: 605px!important;
}
#tabCollapsiblePanel\:tabI_NAVIGATION {
	height: 605px!important;
	padding-left: 10px;
	overflow-y: auto;
}
#tabCollapsiblePanel\:tabI_PERSONAL_INFORMATION {
	height: 605px!important;
}

#tabCollapsiblePanel\:tabI_APPLICATION_OVERVIEW {
	height: 605px!important;
}
#tabCollapsiblePanel\:collapsibletree {
    width: 221px;
}

.ui-icon-thumb-up:before {
    content: url(../images/thumbs-up-icon.png);
}

.ui-icon-thumb-down:before {
    content: url(../images/thumbs-down-icon.png);
}

.ui-icon-checkbox-yes:before {
    content: url(../images/checkbox_yes.png);
}

.ui-icon-checkbox-no:before {
    content: url(../images/checkbox_no.png);
}

.ui-icon-edit:before {
	content: url(../images/edit-16.png);
}

.ui-selectonemenu-panel .ui-selectonemenu-items-wrapper {
	overflow: none !important;
 	overflow-x: hidden !important;
}

.ui-selectonemenu-panel .ui-selectonemenu-filter {
    width: 85%;
    padding-right: 15px;
    height: 20px;
}


.ui-datatable.appMngDocumentsTable tr.ui-state-highlight {
	background: #F9F9F9 !important;
	color : black;
}

.ui-datatable.appMngDocumentsTable tr.ui-datatable-odd {
	background: white;
}


.ui-selectonemenu.ui-state-disabled{
     opacity: .7;
}


.hide-column-names table thead tr {
    display: none;
}

.hide-table-body table tbody tr {
    display: none;
}

#visionContainerPopup {
	    position: fixed !important;
}